%define ALD_Ver		1.2.1

Name:         autoconf

License:      GPL
Summary:      Autoconf is an extensible package of M4 macros
Group:        Development/Compilers
Version:      2.69
Release:      1

Source: %{name}-%{version}.tar.xz

BuildArchitectures: noarch

%define docdir %{_defaultdocdir}/%{name}

%define BUILD_TAR 1
%define _srcrpmdir	%{_topdir}/SRPMS/%{ALD_Ver}

# ------------------- description ------------------------------------
%description
Autoconf is an extensible package of M4 macros that produce shell
scripts to automatically configure software source code packages.
These scripts can adapt the packages to many kinds of UNIX-like
systems without manual user intervention.  Autoconf creates a
configuration script for a package from a template file that lists the
operating system features that the package can use, in the form of M4
macro calls.
#-------------------------------
%package info
Summary:      Info for %{name}
Group:        Documentation
%description info
Info for %{name}

# ------------------- setup ------------------------------------------
%Prep
%setup -q -n %{name}-%{version}

# ------------------- Build ------------------------------------------
%Build
PATH=$PATH:/opt/perl/bin
export PATH

%configure &>FConfigure_log.txt

make &>FMake_log.txt

# ------------------- Install ----------------------------------------
%Install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p %{_srcrpmdir}
mkdir -p $RPM_BUILD_ROOT%{docdir}

make DESTDIR=$RPM_BUILD_ROOT install &>FInstall_log.txt
rm -rf $RPM_BUILD_ROOT%{_infodir}/dir

cp AUTHORS COPYING COPYING.EXCEPTION COPYINGv3 README THANKS $RPM_BUILD_ROOT%{docdir}/

if test -f /opt/aldccp/bin/packages_idx; then
  /opt/aldccp/bin/packages_idx -p %{name} -v %{version} -r noarch/%{ALD_Ver}/ $RPM_BUILD_ROOT
fi

# ------------------- Clean ------------------------------------------
%Clean
pushd %{_rpmdir}/noarch
  mkdir -p %{ALD_Ver}
  mv %{name}-* %{ALD_Ver}/
popd

# --------------- build *.tgz ------------------------
%if %{BUILD_TAR}
pushd $RPM_BUILD_ROOT
  TMP_TO=%{_rpmdir}/noarch/%{ALD_Ver}/tar
  mkdir -p $TMP_TO
  tmp=%{name}-%{version}-%{release}.noarch
  mkdir -p $tmp
  cp -r usr $tmp/
  tar -cjf $tmp.tar.bz2 $tmp
  mv $tmp.tar.bz2 $TMP_TO
  rm -r $tmp
popd
%endif  #BUILD_TAR

# ------------------- Files ------------------------------------------
%Files
%{_bindir}
%{_datadir}/autoconf
%{_mandir}
%{docdir}

%files info
%{_infodir}
